Subject: Re: organizing multiple repositories with dependencies

From: Jakub Narebski <[email-masked]>
Date: Mon, 16 Apr 2012 07:30:17 -0700 (PDT)

Namit Bhalla <[email-masked]> writes:

> I am looking to track some projects using Git with each project as a 
> separate repository.
> Even after reading the documentation, I am still wondering if there is a 
> way to organize things as described below.
> 
> Consider 2 projects, Project-a and Project-b, which are housed in 
> repositories Repo-a and Repo-b respectively. 
> Project-a develops reusable libraries which are needed by Project-b 
> (otherwise Project-b will not compile).
> When a new stable version of Project-a libraries has to be delivered, they 
> are "checked into" a path in Repo-a.
> Now, I would like to setup Repo-b so that when someone starts working on 
> Project-b, he should be able to retrieve the code from Repo-b as well as the libraries from Repo-a. Is there any way to achieve that in 
> Git?

Put reusable library in its own repository, and use submodules to link
it up to project-a and project-b repositories.

HTH
-- 
Jakub Narebski